Permalink
Browse files

Make the UrbanAirship spec work on Ruby 1.8.x and 1.9.x.

At least until we get to the actual cause of the problems.
  • Loading branch information...
alloy committed Sep 21, 2012
1 parent 16731f5 commit 2591e4cb3315174ab900e1e7b5b20260a901480f
@@ -11,9 +11,11 @@ Pod::Spec.new do |s|
# Airship ships both UA-prefixed ASI and SBJson, as well as un-prefixed
# versions that are no longer used in the .xcodeproj.
- s.source_files = FileList['Airship/**/*.{h,m,c}'].exclude(/\/asi-http-request\//)
- .exclude(/\/json-framework\//)
- .exclude(/\/google-toolbox-for-mac\//)
+ files = FileList['Airship/**/*.{h,m,c}']
+ files.exclude(/\/asi-http-request\//)
+ files.exclude(/\/json-framework\//)
+ files.exclude(/\/google-toolbox-for-mac\//)
+ s.source_files = files
s.libraries = 'z', 'sqlite3.0'
s.frameworks = 'CFNetwork', 'CoreGraphics', 'Foundation', 'MobileCoreServices',
@@ -11,9 +11,11 @@ Pod::Spec.new do |s|
# Airship ships both UA-prefixed ASI and SBJson, as well as un-prefixed
# versions that are no longer used in the .xcodeproj.
- s.source_files = FileList['Airship/**/*.{h,m,c}'].exclude(/\/asi-http-request\//)
- .exclude(/\/json-framework\//)
- .exclude(/\/google-toolbox-for-mac\//)
+ files = FileList['Airship/**/*.{h,m,c}']
+ files.exclude(/\/asi-http-request\//)
+ files.exclude(/\/json-framework\//)
+ files.exclude(/\/google-toolbox-for-mac\//)
+ s.source_files = files
s.libraries = 'z', 'sqlite3.0'
s.frameworks = 'CFNetwork', 'CoreGraphics', 'Foundation', 'MobileCoreServices',

0 comments on commit 2591e4c

Please sign in to comment.